WorkflowStage

WorkflowStage objects allow users to organize workflows into distinct stages within Maximizer CRM.

Each stage groups a set of task templates that must be completed before the workflow can progress to the next stage, providing greater structure and visibility into multi-step processes.

Below are some considerations for Workflow Stages:

  • Each workflow can include one or more stages.

  • Stages are executed in order, based on their defined sequence.

  • A stage can only belong to a single workflow.

  • All tasks within a stage must be completed before the next stage begins.

  • Stage names must be unique within the workflow.

MetaData

Read WorkflowStage metadata (simple)

// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Schema": {
        "Scope": {
            "Fields": 1
        },
        "Criteria": {
            "SearchQuery": {
                "Key": {
                    "$TREE": "/WorkflowStage"
                }
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}

Read WorkflowStage metadata (more)

// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Schema": {
        "Scope": {
            "Fields": {
                "Key": 1,
                "Alias": 1,
                "Type": 1,
                "Name": 1,
                "AppliesTo": 1,
                "Sortable": 1,
                "Queryable": 1,
                "Mandatory": 1,
                "Attributes": 1,
                "DisplayValue": 1
            }
        },
        "Criteria": {
            "SearchQuery": {
                "Key": {
                    "$TREE": "/WorkflowStage"
                }
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}

WorkflowStage CRUD

Create - WorkflowStage

// POST https://api.maximizer.com/octopus/Create
// Authorization: Bearer <token>
{
    "WorkflowStage": {
        "Data": {
            "Key": null, // Will be generated automatically
            "WorkflowKey": "V29ya2Zsb3cJMjUxMTA3MDAwMDAwMDAzMDMzMDQ4V0YJMA==", // Mandatory
            "Name": "Stage 1 of Workflow", // Mandatory - Unique
            "Description": "This is the first stage for a workflow",
            "Sequence": 1  
        }
    }
}

Update - WorkflowStage

// POST https://api.maximizer.com/octopus/Update
// Authorization: Bearer <token>
{
    "WorkflowStage": {
        // If the workflow has been used already we don't allow update of any stage (for now)
        "Data": {
            "Key": "V29ya2Zsb3cJMjUxMTA3MDAwMDAwMDAwNDI2MDU1V1MJMA==", // Mandatory
            "Name": "New name for an existing Stage"
        }
    }
}

Read - WorkflowStage

// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "WorkflowStage": {
        "Scope": {
            "Fields": {
                "Key": 1,
                "WorkflowKey": 1,
                "Name": 1,
                "Description": 1,
                "Sequence": 1,
                "TAG": 1
            }
        },
        "Criteria": {
            "SearchQuery": {},
            "Top": 3
        }
    }
}

Delete - WorkflowStage

// POST https://api.maximizer.com/octopus/Delete
// Authorization: Bearer <token>
{
    "WorkflowStage": {
        // If the workflow has been used already we don't allow deletion (for now)
        "Data": {
            "Key": "V29ya2Zsb3cJMjUxMTA3MDAwMDAwMDAwNDI2MDU1V1MJMA==" // Mandatory
        }
    }
}